Bug 35033 - Allow inline graphics, formulas in impress (and draw)
Summary: Allow inline graphics, formulas in impress (and draw)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: high normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 37127 113671 (view as bug list)
Depends on:
Blocks: Images Object ImpressDraw-Enhancements
  Show dependency treegraph
 
Reported: 2011-03-05 03:31 UTC by sergio.callegari
Modified: 2019-09-07 08:19 UTC (History)
13 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sergio.callegari 2011-03-05 03:31:06 UTC
In write, formulas and graphics can be anchored as character, which enables text to include inline formulas and small drawings (like the image of a keyboard key to press).

In impress this is not possible, making life quite hard to those delivering scientific presentations.

Originally, also powerpoint could not inline formulas. However, with the latest versions this is possible.

This means that by not allowing formulas to be inlined in impress, Libreoffice both misses a killer feature of powerpoint and cannot allow good import of powerpoint documents.
Comment 1 Björn Michaelsen 2011-12-23 11:42:52 UTC Comment hidden (obsolete)
Comment 2 sergio.callegari 2011-12-27 03:27:55 UTC
Verified on 3.5.0 beta 2
Comment 3 Paul-Antoine Arras 2012-10-22 09:14:54 UTC
*** Bug 37127 has been marked as a duplicate of this bug. ***
Comment 4 sergio.callegari 2013-08-05 12:39:39 UTC
See also https://issues.apache.org/ooo/show_bug.cgi?id=22309,
https://issues.apache.org/ooo/show_bug.cgi?id=29989
https://issues.apache.org/ooo/show_bug.cgi?id=88185
and probably more.  Just for historic reference, tracking this enhancement request back to openoffice and to 2003 and to be able to follow if there is AOO activity on this front.
Comment 5 Gonzalo Panizo 2013-09-25 04:32:05 UTC
Still waiting for this to be fixed. Otherwise Impress can not be used for scientific/engineering presentations!
Comment 6 sergio.callegari 2014-01-24 15:04:26 UTC
By curiosity...
can this enhancement be implemented in ODF1.2 or does it require extending the standard? In case, would it be worth from LibO to propose it for ODF1.3?
Comment 7 sergio.callegari 2014-03-28 10:09:16 UTC
I care about getting this fixed, so I'm offering USD 20.00 via FreedomSponsors to the first person who fix it.

Offer link: http://www.freedomsponsors.org/core/issue/473/allow-inline-graphics-formulas-in-impress-and-draw

You can also join me and throw in a few bucks there and we'll get it fixed faster :) Let me underline this. The amount I can offer is little, but many little amounts can make a reasonable sum. If you are interested, please consider co-sponsoring this issue.
					
If you fix this issue (see my acceptance criteria there) please use that site to request your payment.
Comment 8 sergio.callegari 2014-10-24 14:12:12 UTC
Please, in case the opendocument format itself does not support this functionality, please assure that a suitable bug/wishlist is opened against ODF1.3/Next.

Please do not underestimate the impact of this enhancement request. In the scientific academic world, which is a big user of presentation software (conferences, teaching), LibO is simply ruled out by most of my collegues just for the inconvenience related to the impossibility to embed figures/formulas in the presentation text.
Comment 9 Joel Madero 2015-02-09 05:14:12 UTC
Removing patch as there isn't an attached patch on the bug.
Comment 10 jean.orloff 2015-02-21 17:17:06 UTC
Hi,

I just offered an extra 50$ to try and obtain this essential evolution. Let's hope for more!

Jean
Comment 11 Joel Madero 2015-02-21 17:29:57 UTC
Thanks for that information and for your support!


Just to make sure that expectations are realistic here. This enhancement will likely take tens of hours of time - professional developers make in the range of $60-$120/hr - so we're talking about thousands of dollars (at market rate). So - perhaps (and hopefully) the $80 motivates someone, but I want to be sure to keep realistic expectations in the community.
Comment 12 sergio.callegari 2015-02-22 18:11:37 UTC
Thanks Jean for participating and to Joel for the due comments.

What I hope is that even if so far the amount is by far too little for fully payed development, it can still have some 'information' value. The fact that there are users willing to economically support work on this may already be a hint on the level of desire for this particular enhancement. And let's hope that other supporters can join in.
Comment 13 tommy27 2016-04-16 07:22:30 UTC Comment hidden (obsolete)
Comment 14 sergio.callegari 2016-04-18 10:24:54 UTC
Wished feature is still missing from LibO 5.1.2.

Bounty has reached 100$.

See https://freedomsponsors.org/issue/473/allow-inline-graphics-formulas-in-impress-and-draw#sponsors
Comment 15 jean.orloff 2016-06-21 09:14:52 UTC
(In reply to Joel Madero from comment #11)
> Just to make sure that expectations are realistic here. This enhancement
> will likely take tens of hours of time - professional developers make in the
> range of $60-$120/hr - so we're talking about thousands of dollars (at
> market rate). So - perhaps (and hopefully) the $80 motivates someone, but I
> want to be sure to keep realistic expectations in the community.

I am really not so sure: the wanted feature exists in the Write. What we want is then just the implementation of this possibility in Impress Text Areas, which must be not be that different from a page in Write.
Comment 16 sergio.callegari 2016-06-21 09:48:14 UTC
I think that sponsorships are advertised not because of the expectation that $120 can pay the work, rather to try getting more and to give a clear indication of how the feature can be important to some users. Even bug reporters can be realistic ;-)
Comment 17 QA Administrators 2017-09-01 11:14:38 UTC Comment hidden (obsolete)
Comment 18 sergio.callegari 2017-09-02 06:55:45 UTC
Issue is still present in all LibO versions, since this is a kind request for a feature that still has not been implemented.

A small bounty, currently USD 135 is still available for solving the issue
Comment 19 Thomas Lendo 2017-10-08 21:22:16 UTC
@Regina:
Is this a problem of the ODF specification or only a LibO implementation issue?

As images and frames have an own style in Writer but not in Draw and Impress, it's not possible to use the Writer properties. Is it necessary to add these styles to Draw and Impress to have this enhancement request to be implemented?
Comment 20 Regina Henschel 2017-10-22 12:56:47 UTC
(In reply to Thomas Lendo from comment #19)
> @Regina:
> Is this a problem of the ODF specification or only a LibO implementation
> issue?

You would need a construction <draw:frame><draw:text-box><draw:frame><draw:object>
The schema would allow it directly. The description is not really clear, but I see no principle problem in file format. For Draw it is simple a missing feature. For Impress you have the additional task to define, how such enhanced text-box reacts on animation.
 

> 
> As images and frames have an own style in Writer but not in Draw and
> Impress, it's not possible to use the Writer properties. Is it necessary to
> add these styles to Draw and Impress to have this enhancement request to be
> implemented?

No, styles are not the problem here. The problem is, that the text rendering engine is not able to handle other child elements than <text:span> elements (=character formatting). The styles in Writer contain additional properties, which describe the relationship of the -essentially graphic- objects to the surrounding text. These are not necessary in Draw/Impress because no running text exists. The normal graphic properties are sufficient for the outer frame. Only if the nesting <draw:frame><draw:text-box><draw:frame><draw:object> is implemented additional properties would be necessary for describing the relationship between inner frame and text-box.
Comment 21 Buovjaga 2017-11-19 11:20:58 UTC
*** Bug 113671 has been marked as a duplicate of this bug. ***
Comment 22 sergio.callegari 2018-02-13 15:28:36 UTC
Just a quick reminder to those who might get here being interested in the feature that there is a small bounty at https://freedomsponsors.org/issue/473/allow-inline-graphics-formulas-in-impress-and-draw#sponsors

Sorry for the noise, but those who got redirected here through the "duplicate" bug mechanism may have missed this.
Comment 23 Gibtnix 2018-10-27 13:55:46 UTC
I also regularly use LibreOffice with TexMaths and also would like to have perfectly inlined formulas in Impress and Draw as in Writer. I would like to share my personal workarounds which are not perfect, but at least do a pretty well job, at least for my needs. Even though I'm referring to TexMaths formulas, they also work well for LO's own formulas.

The first option is to create the Text directly as part of the forumla using the LaTeX \text{...} command. This works pretty well but can be a hassle if you want to setup the fonts accordingly. The same workaround can also be used with LO's formula editor.

Next, it is also possible to select the LaTeX fonts directly in Impress/Writer and to create the formula as part of the text. This works pretty well as long as the formula only contains some basic stuff. A drawback is that the font spacing between lines can be slightly messed up by Impress if different fonts are selected.

Finally, if really a LaTeX formula needs to be inlined in text, I create some whitespace in the line and place the formula at this location (moving the formula with Alt or Shift is quite useful here to correctly vertically aling it). This looks pretty perfect on the slide but is rather annoying as soon as you change the text: You will always have to manually adjust the formula's position. But as long as there is no direct way to inline the formula, this is still possible.
Comment 24 jean.orloff 2019-09-07 08:19:53 UTC
6.3.1 is out, still no progress.

Bounty reached 150$: how high should it be to attract a taker?

(See https://freedomsponsors.org/issue/473/allow-inline-graphics-formulas-in-impress-and-draw#sponsors)

Should we make some campaign to attract more donors?